data:extend
(
	{
		{
			type = "assembling-machine",
			name = "dbsl-erzmine-mk2",
			icon = "__DonnysFargodeepMine__/graphics/icons/ico-erzmine-mk2.png",
			icon_size = 32,
			flags = {"placeable-neutral", "placeable-player", "player-creation"},
			minable = {hardness = 0.8, mining_time = 1.2, result = "dbsl-erzmine-mk2"},
			max_health = 500,
			corpse = "medium-remnants",
			dying_explosion = "medium-explosion",
			resistances =
				{
					{
						type = "fire",
						percent = 70
					}
				},
			collision_box = {{-2.9, -2.9}, {2.9, 2.9}},
			selection_box = {{-3, -3}, {3, 3}},
			animation =
				{
					filename = "__DonnysFargodeepMine__/graphics/entity/erz-mine-mk2.png",
					priority = "extra-high",
					width = 256,
					height = 288,
					shift = {0, -0.5},
					frame_count = 1,
					line_length = 1,
				},
			crafting_categories = {"dbsl-erz-alle-mk2", "dbsl-erz-eisen-mk2", "dbsl-erz-kupfer-mk2", "dbsl-erz-coal-mk2", "dbsl-erz-stone-mk2", "dbsl-erz-uran-mk2", "dbsl-erz-sulfur-mk2"},
			crafting_speed = 3,
			module_specification = {module_slots = 5},
			allowed_effects = {"consumption", "speed", "productivity", "pollution"},
			energy_source =
				{
					type = "electric",
					usage_priority = "secondary-input",
					emissions = 0.16
				},
			energy_usage = "500kW",
			ingredient_count = 1,
			open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
			close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
			vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
			working_sound =
				{
					sound = 
						{
						{
						filename = "__DonnysFargodeepMine__/sound/amdmine.ogg",
						volume = 2.5
						},
						},
					idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
					apparent_volume = 1.5,
				},
      
      --quick hack by eradicator
      fluid_boxes =
      {
        {
          production_type = "output",
          pipe_picture = assembler3pipepictures(),
          pipe_covers = pipecoverspictures(),
          base_area = 100,
          base_level = 1,
          pipe_connections = {{ type="output", position = {3.5, -2.5} }},
          secondary_draw_orders = { north = -1 }
        },
        off_when_no_fluid_recipe = true
      },

		},
	}
)