data:extend
(
	{
		{
			type = "assembling-machine",
			name = "dbsl-erzmine-small",
			icon = "__DonnysFargodeepMine__/graphics/icons/ico-erzmine-mk1.png",
			icon_size = 32,
			flags = {"placeable-neutral", "placeable-player", "player-creation"},
			minable = {hardness = 0.8, mining_time = 1.2, result = "dbsl-erzmine-small"},
			max_health = 200,
			corpse = "medium-remnants",
			dying_explosion = "medium-explosion",
			resistances =
				{
					{
						type = "fire",
						percent = 70
					}
				},
			collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
			selection_box = {{ -1.5, -1.5}, {1.5, 1.5}},
			animation =
				{
					filename = "__DonnysFargodeepMine__/graphics/entity/erz-mine-small.png",
					priority = "extra-high",
					width = 113,
					height = 113,
					shift = {0, -0.5},
					frame_count = 1,
					line_length = 1,
				},
			crafting_categories = {"dbsl-erz-all-small"},
			crafting_speed = 1,
			module_specification = {module_slots = 1},
			allowed_effects = {"consumption", "speed", "productivity", "pollution"},
			energy_source =
				{
				  type = "burner",
				  fuel_category = "chemical",
				  effectivity = 1,
				  fuel_inventory_size = 3,
				  emissions = 0.1 / 4,
				  smoke =
					{
						{
							name = "smoke",
							deviation = {0.1, 0.1},
							frequency = 3
						}
					}
				},
			energy_usage = "350kW",
			ingredient_count =  1,
			open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
			close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
			vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
			working_sound =
				{
					sound = 
						{
						{
						filename = "__DonnysFargodeepMine__/sound/amdmine.ogg",
						volume = 2.5
						},
						},
					idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
					apparent_volume = 1.5,
				}
		},
	}
)